## pytest-xdist 3.8.0

=== docs/requirements.txt ===
sphinx
sphinx-rtd-theme

=== example/loadscope/requirements.txt ===
ipdb
pytest
../../

## pytest-xdist 1.1

=== debian/changelog ===
pytest-xdist (1.1-3) unstable; urgency=low

  * Added Enhances-tag
  * Follow dependancy rename to python-py

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Mon, 26 Apr 2010 18:40:40 +0200

pytest-xdist (1.1-2) unstable; urgency=low

  * Added missing build-dependancy (Closes: #573656)

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Mon, 15 Mar 2010 19:29:53 +0100

pytest-xdist (1.1-1) unstable; urgency=low

  * Initial release (Closes: #571471)

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Thu, 11 Feb 2010 17:26:59 +0100

=== debian/control ===
Source: pytest-xdist
Priority: optional
Maintainer: Adam Schmalhofer <Adam.Schmalhofer@gmx.de>
Build-Depends: debhelper (>= 7.0.50~), python-support, python-all, python-setuptools
Standards-Version: 3.8.4
Section: python
XS-Python-Version: all
Homepage: http://bitbucket.org/hpk42/pytest-xdist

Package: python-pytest-xdist
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-py, python-execnet
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: xdist plugin for py.test
 The pytest-xdist plugin extends py.test with some unique test execution modes:
 .
  * Looponfail:
      Run your tests repeatedly in a subprocess. After each run py.test waits
      until a file in your project changes and then re-runs the previously
      failing tests. This is repeated until all tests pass after which again a
      full run is performed.
  * Load-balancing:
      if you have multiple CPUs or hosts you can use those for a combined test
      run. This allows to speed up development or to use special resources of
      remote machines.
  * Multi-Platform coverage:
      you can specify different Python interpreters or different platforms and
      run tests in parallel on all of them.
 .
 Before running tests remotely, py.test efficiently synchronizes your program
 source code to the remote place. All test results are reported back and
 displayed to your local test session. You may specify different Python
 versions and interpreters.
Enhances: python-py

## pytest-xdist 1.4

=== debian/changelog ===
pytest-xdist (1.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:44 +0200

pytest-xdist (1.4-1) unstable; urgency=low

  * python-support => dh_python2
  * Bumped Standards-Version
  * Imported Upstream version 1.4

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Sat, 26 Feb 2011 22:53:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: pytest-xdist
 Priority: optional
 Maintainer: Adam Schmalhofer <Adam.Schmalhofer@gmx.de>
-Build-Depends: debhelper (>= 7.0.50~), python-support, python-all, python-setuptools
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3), python-setuptools
+Standards-Version: 3.9.1
 Section: python
-XS-Python-Version: all
 Homepage: http://bitbucket.org/hpk42/pytest-xdist
 
 Package: python-pytest-xdist
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-py, python-execnet
 Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
+Breaks: ${python:Breaks}
 Description: xdist plugin for py.test
  The pytest-xdist plugin extends py.test with some unique test execution modes:
  .

## pytest-xdist 1.8

=== debian/changelog ===
pytest-xdist (1.8-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #668104)
  * Add python-pytest to the dependencies.
  * Version the python-execnet dependency to >= 1.0.9

 -- Simon Chopin <chopin.simon@gmail.com>  Sat, 26 May 2012 16:42:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,22 @@
 Source: pytest-xdist
 Priority: optional
 Maintainer: Adam Schmalhofer <Adam.Schmalhofer@gmx.de>
-Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3), python-setuptools
+Build-Depends:
+ debhelper (>= 7.0.50~),
+ python-all (>= 2.6.6-3),
+ python-setuptools
 Standards-Version: 3.9.1
 Section: python
 Homepage: http://bitbucket.org/hpk42/pytest-xdist
 
 Package: python-pytest-xdist
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-py, python-execnet
+Depends:
+ python-execnet (>= 1.0.9),
+ python-py,
+ python-pytest,
+ ${misc:Depends},
+ ${python:Depends}
 Provides: ${python:Provides}
 Breaks: ${python:Breaks}
 Description: xdist plugin for py.test
@@ -31,4 +39,4 @@
  source code to the remote place. All test results are reported back and
  displayed to your local test session. You may specify different Python
  versions and interpreters.
-Enhances: python-py
+Enhances: python-pytest

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh --with python2 $@

=== debian/tests/control ===
Tests: pytest

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pytest-xdist/ pytest-xdist-(.+).tar.gz

## pytest-xdist 1.15.0

=== debian/changelog ===
pytest-xdist (1.15.0-3) unstable; urgency=medium

  * deb/rules: activate build-time tests:
    + add fix-acceptance_test-for-pytest3.patch.
  * set up DEP-8 tests.

 -- Daniel Stender <stender@debian.org>  Tue, 06 Dec 2016 00:05:12 +0100

pytest-xdist (1.15.0-2) unstable; urgency=medium

  * build Python 3 package (Closes: #782933).
  * deb/control: put myself into Maintainer field.

 -- Daniel Stender <stender@debian.org>  Wed, 16 Nov 2016 10:33:08 +0100

pytest-xdist (1.15.0-1) unstable; urgency=medium

  * New upstream release (Closes: #790678).
  * deb/control:
    + put myself into Uploaders field.
    + bump debhelper version to 9 (also in deb/compat).
    + add dh-python, setuptools-scm and pandoc to build-deps.
    + move execnet, py and pytest from binary-deps up to build-deps.
    + bump standards to 3.9.8 (no changes needed).
    + update Homepage (project moved to Github).
    + add Vcs-Git and -Browser (source at collab-maint).
    + remove Provides and Breaks for binary package (obsolete).
    + correct spelling error in package description.
    + move some fields, fix overlong description line.
  * deb/clean:
    + clean whole egg-info/ directory.
    + add .cache/ (from Pytest) to clean targets.
  * deb/copyright:
    + rewrite to met DEP-5.
    + license changed to MIT.
  * deb/rules:
    + add exports for DH_VERBOSE (disabled) and PYBUILD_NAME.
    + build with buildsystem=pybuild.
    + install overrides for dh_auto_build (empty) and dh_auto_test.
    + install override for installdocs to convert README to plain,
      contribute example/boxed.txt.
  * deb/watch:
    + watch pypi.debian.net.
  * add: deb/gbp.conf, remove: deb/docs.

 -- Daniel Stender <stender@debian.org>  Tue, 27 Sep 2016 10:03:31 +0200

=== debian/control ===
Source: pytest-xdist
Priority: optional
Section: python
Maintainer: Daniel Stender <stender@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3),
 python3-all,
 python-setuptools,
 python3-setuptools,
 python-setuptools-scm,
 python3-setuptools-scm,
 python-execnet (>= 1.1),
 python3-execnet,
 python-pytest,
 python3-pytest,
 python-py,
 python3-py,
 pandoc
Standards-Version: 3.9.8
Homepage: https://github.com/pytest-dev/pytest-xdist
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pytest-xdist.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pytest-xdist.git

Package: python-pytest-xdist
Architecture: all
Depends:
 python-execnet (>= 1.1),
 ${misc:Depends},
 ${python:Depends}
Enhances: python-pytest
Description: xdist plugin for py.test
 The pytest-xdist plugin extends py.test with some unique test execution modes:
 .
  * Looponfail:
      Run your tests repeatedly in a subprocess. After each run py.test waits
      until a file in your project changes and then re-runs the previously
      failing tests. This is repeated until all tests pass after which again a
      full run is performed.
  * Load-balancing:
      if you have multiple CPUs or hosts you can use those for a combined test
      run. This allows one to speed up development or to use special resources
      of remote machines.
  * Multi-Platform coverage:
      you can specify different Python interpreters or different platforms and
      run tests in parallel on all of them.
 .
 Before running tests remotely, py.test efficiently synchronizes your program
 source code to the remote place. All test results are reported back and
 displayed to your local test session. You may specify different Python
 versions and interpreters.
 .
 This package contains pytest-xdist for Python 2.

Package: python3-pytest-xdist
Architecture: all
Depends:
 python3-execnet,
 ${misc:Depends},
 ${python3:Depends}
Enhances: python3-pytest
Description: xdist plugin for py.test (Python 3)
 The pytest-xdist plugin extends py.test with some unique test execution modes:
 .
  * Looponfail:
      Run your tests repeatedly in a subprocess. After each run py.test waits
      until a file in your project changes and then re-runs the previously
      failing tests. This is repeated until all tests pass after which again a
      full run is performed.
  * Load-balancing:
      if you have multiple CPUs or hosts you can use those for a combined test
      run. This allows one to speed up development or to use special resources
      of remote machines.
  * Multi-Platform coverage:
      you can specify different Python interpreters or different platforms and
      run tests in parallel on all of them.
 .
 Before running tests remotely, py.test efficiently synchronizes your program
 source code to the remote place. All test results are reported back and
 displayed to your local test session. You may specify different Python
 versions and interpreters.
 .
 This package contains pytext-xdist for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=pytest-xdist

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -x -v" dh_auto_test
	# run tests after install bcs the plugin needs to get registered by setup.py/entry_points

override_dh_installdocs:
	pandoc -f rst -t plain -o .pybuild/README README.rst
	dh_installdocs -A .pybuild/README example/boxed.txt

## pytest-xdist 1.18.2

=== debian/changelog ===
pytest-xdist (1.18.2-1) unstable; urgency=medium

  * New upstream release (Closes: #864360, #867516):
    + drop fix-acceptance_test-for-pytest3.patch (solved upstream).
  * deb/control:
    + add DPMT as Uploaders.
    + update build-deps (put version for python-pytest packages).
    + update Vcs fields (Git repo moved to /git/python-modules).
    + bump standards to 4.0.0 (no changes needed).
  * deb/copyright:
    + expand copyright spans.
  * deb/gbp.conf:
    + change debian-branch to meet DEP-14.
    + add sign-tags field switched to True.
  * deb/tests/python{,3}-pytest-xdist:
    * don't stop after first failure in DEP-8 testing (remove -x).
  * use debhelper level 10 (changes in deb/control and deb/compat).
  * add temporarily-disable-test_looponfail_removed_test.patch
    (Closes: #869094).

 -- Daniel Stender <stender@debian.org>  Sat, 05 Aug 2017 19:53:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Priority: optional
 Section: python
 Maintainer: Daniel Stender <stender@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  python-all (>= 2.6.6-3),
  python3-all,
@@ -13,15 +14,15 @@
  python3-setuptools-scm,
  python-execnet (>= 1.1),
  python3-execnet,
- python-pytest,
- python3-pytest,
+ python-pytest (>= 3.0.0~),
+ python3-pytest (>= 3.0.0~),
  python-py,
  python3-py,
  pandoc
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/pytest-dev/pytest-xdist
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pytest-xdist.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pytest-xdist.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pytest-xdist.git
+Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/pytest-xdist.git
 
 Package: python-pytest-xdist
 Architecture: all

## pytest-xdist 1.22.1

=== debian/changelog ===
pytest-xdist (1.22.1-1) unstable; urgency=medium

  * New upstream release

 -- Scott Talbert <swt@techie.net>  Tue, 20 Feb 2018 20:33:44 -0500

pytest-xdist (1.22.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Scott Talbert ]
  * New upstream release
  * deb/copyright: remove files from exclusion that were removed upstream
  * deb/control: add myself to Uploaders and remove Daniel (Closes: #870844)
  * deb/control: add pytest-forked dependencies
  * remove temporarily-disable-test_looponfail_removed_test.patch (not needed)
  * deb/control: update standards to 4.1.3 (no changes needed)
  * deb/rules: only run tests in testing directory
  * deb/copyright: expand copyright span, add myself

 -- Scott Talbert <swt@techie.net>  Fri, 16 Feb 2018 23:07:59 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: pytest-xdist
 Priority: optional
 Section: python
-Maintainer: Daniel Stender <stender@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Scott Talbert <swt@techie.net>
 Build-Depends:
  debhelper (>= 10),
  dh-python,
@@ -16,18 +16,21 @@
  python3-execnet,
  python-pytest (>= 3.0.0~),
  python3-pytest (>= 3.0.0~),
+ python-pytest-forked,
+ python3-pytest-forked,
  python-py,
  python3-py,
  pandoc
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/pytest-dev/pytest-xdist
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pytest-xdist.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/pytest-xdist.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-xdist.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-xdist
 
 Package: python-pytest-xdist
 Architecture: all
 Depends:
  python-execnet (>= 1.1),
+ python-pytest-forked,
  ${misc:Depends},
  ${python:Depends}
 Enhances: python-pytest
@@ -58,6 +61,7 @@
 Architecture: all
 Depends:
  python3-execnet,
+ python3-pytest-forked,
  ${misc:Depends},
  ${python3:Depends}
 Enhances: python3-pytest

=== debian/tests/control ===
Tests: python-pytest-xdist
Depends: python-pytest-xdist, python-all

Tests: python3-pytest-xdist
Depends: python3-pytest-xdist, python3-all

## pytest-xdist 1.22.2

=== debian/changelog ===
pytest-xdist (1.22.2-1) unstable; urgency=medium

  * New upstream release

 -- Scott Talbert <swt@techie.net>  Sun, 18 Mar 2018 21:08:23 -0400

## pytest-xdist 1.23.0

=== debian/changelog ===
pytest-xdist (1.23.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Scott Talbert ]
  * New upstream release
  * deb/control: update standards version to 4.2.1 (no changes needed)

 -- Scott Talbert <swt@techie.net>  Tue, 11 Sep 2018 21:10:06 -0400

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python-py,
  python3-py,
  pandoc
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/pytest-dev/pytest-xdist
 Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-xdist.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-xdist

## pytest-xdist 1.26.1

=== debian/changelog ===
pytest-xdist (1.26.1-1) unstable; urgency=medium

  * New upstream release 1.26.1

 -- Scott Talbert <swt@techie.net>  Mon, 28 Jan 2019 19:58:31 -0500

pytest-xdist (1.26.0-1) unstable; urgency=medium

  * New upstream release 1.26.0
  * d/control: Update Standards Version to 4.3.0 (no changes needed)
  * d/control: Update debhelper compat version to 12

 -- Scott Talbert <swt@techie.net>  Mon, 21 Jan 2019 20:47:03 -0500

pytest-xdist (1.25.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Talbert <swt@techie.net>  Wed, 02 Jan 2019 23:41:53 -0500

pytest-xdist (1.24.1-1) unstable; urgency=medium

  * New upstream release

 -- Scott Talbert <swt@techie.net>  Sun, 11 Nov 2018 10:29:08 -0500

pytest-xdist (1.24.0-2) unstable; urgency=medium

  * Add python-filelock as a test dependency to fix CI tests

 -- Scott Talbert <swt@techie.net>  Sat, 03 Nov 2018 14:55:52 -0400

pytest-xdist (1.24.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Talbert <swt@techie.net>  Thu, 01 Nov 2018 19:31:21 -0400

pytest-xdist (1.23.2-1) unstable; urgency=medium

  * New upstream release

 -- Scott Talbert <swt@techie.net>  Wed, 17 Oct 2018 23:13:56 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Scott Talbert <swt@techie.net>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 12),
  dh-python,
  python-all (>= 2.6.6-3),
  python3-all,
@@ -14,6 +14,8 @@
  python3-setuptools-scm,
  python-execnet (>= 1.1),
  python3-execnet,
+ python-filelock,
+ python3-filelock,
  python-pytest (>= 3.0.0~),
  python3-pytest (>= 3.0.0~),
  python-pytest-forked,
@@ -21,7 +23,7 @@
  python-py,
  python3-py,
  pandoc
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/pytest-dev/pytest-xdist
 Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-xdist.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-xdist

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -x -v" dh_auto_test
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -x -v testing" dh_auto_test
 	# run tests after install bcs the plugin needs to get registered by setup.py/entry_points
 
 override_dh_installdocs:

=== debian/tests/control ===
Tests: python-pytest-xdist
Depends: python-pytest-xdist, python-all, python-filelock

Tests: python3-pytest-xdist
Depends: python3-pytest-xdist, python3-all, python3-filelock

## pytest-xdist 1.31.0

=== debian/changelog ===
pytest-xdist (1.31.0-1) unstable; urgency=medium

  * Update to new upstream release 1.31.0

 -- Scott Talbert <swt@techie.net>  Thu, 02 Jan 2020 11:54:32 -0500

pytest-xdist (1.30.0-2) unstable; urgency=medium

  * Remove Python 2 support (Closes: #937568)

 -- Scott Talbert <swt@techie.net>  Mon, 09 Dec 2019 20:32:37 -0500

pytest-xdist (1.30.0-1) unstable; urgency=medium

  * Update to new upstream release 1.30.0
  * Update Standards-Version to 4.4.1

 -- Scott Talbert <swt@techie.net>  Sun, 06 Oct 2019 22:35:00 -0400

pytest-xdist (1.29.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Scott Talbert ]
  * Update to new upstream release 1.29.0
  * d/control: update required version of pytest to >= 4.4.0

 -- Scott Talbert <swt@techie.net>  Mon, 05 Aug 2019 22:46:03 -0400

=== debian/control ===
Source: pytest-xdist
Priority: optional
Section: python
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Talbert <swt@techie.net>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
 python3-execnet (>= 1.1),
 python3-filelock,
 python3-pytest (>= 4.4.0),
 python3-pytest-forked,
 python3-py,
 pandoc
Standards-Version: 4.4.1
Homepage: https://github.com/pytest-dev/pytest-xdist
Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-xdist.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-xdist

Package: python3-pytest-xdist
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Enhances: python3-pytest
Description: xdist plugin for py.test (Python 3)
 The pytest-xdist plugin extends py.test with some unique test execution modes:
 .
  * Looponfail:
      Run your tests repeatedly in a subprocess. After each run py.test waits
      until a file in your project changes and then re-runs the previously
      failing tests. This is repeated until all tests pass after which again a
      full run is performed.
  * Load-balancing:
      if you have multiple CPUs or hosts you can use those for a combined test
      run. This allows one to speed up development or to use special resources
      of remote machines.
  * Multi-Platform coverage:
      you can specify different Python interpreters or different platforms and
      run tests in parallel on all of them.
 .
 Before running tests remotely, py.test efficiently synchronizes your program
 source code to the remote place. All test results are reported back and
 displayed to your local test session. You may specify different Python
 versions and interpreters.
 .
 This package contains pytext-xdist for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=pytest-xdist
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pytest-xdist/pytest-xdist-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytest-xdist 1.32.0

=== debian/changelog ===
pytest-xdist (1.32.0-2) unstable; urgency=medium

  * Use pybuild.testfiles and eliminate rules overrides
  * Update debhelper-compat to 13

 -- Scott Talbert <swt@techie.net>  Thu, 18 Jun 2020 18:19:46 -0400

pytest-xdist (1.32.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Scott Talbert ]
  * Update to new upstream release 1.32.0
  * Update Standards-Version to 4.5.0
  * Run autopkgtests on supported Python versions vice installed
  * Specify that this package doesn't require root to build

 -- Scott Talbert <swt@techie.net>  Tue, 05 May 2020 12:33:10 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Scott Talbert <swt@techie.net>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
@@ -15,10 +15,11 @@
  python3-pytest-forked,
  python3-py,
  pandoc
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/pytest-dev/pytest-xdist
 Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-xdist.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-xdist
+Rules-Requires-Root: no
 
 Package: python3-pytest-xdist
 Architecture: all

## pytest-xdist 2.2.0

=== debian/changelog ===
pytest-xdist (2.2.0-1) unstable; urgency=medium

  * Update to new upstream release 2.2.0 (Closes: #977082)
  * Use extend-diff-ignore instead of clean for _version.py file
  * Update d/watch to version 4

 -- Scott Talbert <swt@techie.net>  Sat, 02 Jan 2021 16:47:56 -0500

pytest-xdist (1.32.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Scott Talbert ]
  * Add src/xdist/_version.py to d/clean (Closes: #978268)
  * Remove Files-Excluded - those files are no longer present
  * Update Standards-Version to 4.5.1; no changes needed

 -- Scott Talbert <swt@techie.net>  Sun, 27 Dec 2020 22:54:47 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pytest-xdist
 Priority: optional
 Section: python
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Scott Talbert <swt@techie.net>
 Build-Depends:
  debhelper-compat (= 13),
@@ -11,14 +11,14 @@
  python3-setuptools-scm,
  python3-execnet (>= 1.1),
  python3-filelock,
- python3-pytest (>= 4.4.0),
+ python3-pytest (>= 6.0.0~),
  python3-pytest-forked,
  python3-py,
  pandoc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/pytest-dev/pytest-xdist
-Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-xdist.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-xdist
+Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-xdist.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-xdist
 Rules-Requires-Root: no
 
 Package: python3-pytest-xdist

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=pytest-xdist

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installdocs:
	pandoc -f rst -t plain -o .pybuild/README README.rst
	dh_installdocs -A .pybuild/README example/boxed.txt

## pytest-xdist 2.5.0

=== debian/changelog ===
pytest-xdist (2.5.0-1) unstable; urgency=medium

  * Update to new upstream release 2.5.0

 -- Scott Talbert <swt@techie.net>  Mon, 27 Dec 2021 12:22:47 -0500

pytest-xdist (2.4.0-1) unstable; urgency=medium

  * Update to new upstream release 2.4.0

 -- Scott Talbert <swt@techie.net>  Fri, 24 Sep 2021 10:02:31 -0400

pytest-xdist (2.3.0-1) unstable; urgency=medium

  * Update to new upstream release 2.3.0
  * Update Standards-Version to 4.6.0

 -- Scott Talbert <swt@techie.net>  Wed, 18 Aug 2021 13:56:24 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-pytest-forked,
  python3-py,
  pandoc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/pytest-dev/pytest-xdist
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-xdist.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-xdist

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pytest-xdist/pytest-xdist-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytest-xdist 3.1.0

=== debian/changelog ===
pytest-xdist (3.1.0-1) unstable; urgency=medium

  * Update to new upstream release 3.1.0
  * Update Standards-Version to 4.6.1
  * d/copyright: Update copyright dates

 -- Scott Talbert <swt@techie.net>  Tue, 06 Dec 2022 13:03:25 -0500

pytest-xdist (3.0.2-1) unstable; urgency=medium

  * Update to new upstream release 3.0.2

 -- Scott Talbert <swt@techie.net>  Thu, 01 Dec 2022 14:00:24 -0500

pytest-xdist (2.5.0-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-execnet.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 12:11:05 +0100

pytest-xdist (2.5.0-5) unstable; urgency=medium

  * Fix FTBFS due to _version.py path change (Closes: #1015025)

 -- Scott Talbert <swt@techie.net>  Mon, 18 Jul 2022 20:07:15 -0400

pytest-xdist (2.5.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 17:29:44 +0100

pytest-xdist (2.5.0-3) unstable; urgency=medium

  * Fix debci issue with previous upload

 -- Scott Talbert <swt@techie.net>  Thu, 24 Mar 2022 18:56:50 -0400

pytest-xdist (2.5.0-2) unstable; urgency=medium

  * Disable test that fails intermittently (Closes: #1006039)

 -- Scott Talbert <swt@techie.net>  Wed, 23 Mar 2022 20:45:10 -0400

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
- python3-execnet (>= 1.1),
+ python3-execnet,
  python3-filelock,
- python3-pytest (>= 6.0.0~),
- python3-pytest-forked,
- python3-py,
+ python3-pytest (>= 6.2.0~),
  pandoc
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/pytest-dev/pytest-xdist
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-xdist.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-xdist

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 export PYBUILD_NAME=pytest-xdist
+# https://github.com/pytest-dev/pytest-xdist/issues/735
+export PYBUILD_TEST_ARGS=-k "not test_internal_errors_propagate_to_controller"
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## pytest-xdist 3.3.1

=== debian/changelog ===
pytest-xdist (3.3.1-1) unstable; urgency=medium

  * Update to new upstream release 3.3.1
  * Update Standards-Version to 4.6.2

 -- Scott Talbert <swt@techie.net>  Thu, 15 Jun 2023 17:24:29 -0400

## pytest-xdist 3.4.0

=== debian/changelog ===
pytest-xdist (3.4.0-1) unstable; urgency=medium

  * Update to new upstream release 3.4.0

 -- Scott Talbert <swt@techie.net>  Fri, 17 Nov 2023 23:43:33 -0500

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-filelock,
  python3-pytest (>= 6.2.0~),
  pandoc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/pytest-dev/pytest-xdist
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-xdist.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-xdist

## pytest-xdist 3.6.1

=== debian/changelog ===
pytest-xdist (3.6.1-1) unstable; urgency=medium

  * d/watch: Adjust to new PEP-625 package naming
  * Update to new upstream release 3.6.1

 -- Scott Talbert <swt@techie.net>  Sun, 19 May 2024 21:42:36 -0400

pytest-xdist (3.5.0-1) unstable; urgency=medium

  * Update to new upstream release 3.5.0

 -- Scott Talbert <swt@techie.net>  Tue, 26 Mar 2024 23:06:47 -0400

=== debian/tests/control ===
Tests: python3-pytest-xdist
Depends: python3-pytest-xdist, python3-all, python3-filelock

## pytest-xdist 3.8.0

=== debian/changelog ===
pytest-xdist (3.8.0-2) unstable; urgency=medium

  * Team Upload
  * Replace "py.test" with "pytest" in description
  * Drop "Rules-Requires-Root: no": it is the default now
  * Use dh-sequence-python3
  * Enable Salsa CI

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 Oct 2025 11:05:20 +0100

pytest-xdist (3.8.0-1) unstable; urgency=medium

  * Update to new upstream release 3.8.0
  * Update Standards-Version to 4.7.2 (no changes needed)

 -- Scott Talbert <swt@techie.net>  Mon, 11 Aug 2025 19:21:09 -0400

=== debian/control ===
Source: pytest-xdist
Priority: optional
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Scott Talbert <swt@techie.net>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pandoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-execnet,
 python3-filelock,
 python3-pytest (>= 6.2.0~),
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.7.2
Homepage: https://github.com/pytest-dev/pytest-xdist
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-xdist.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-xdist

Package: python3-pytest-xdist
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 python3-pytest,
Description: xdist plugin for pytest (Python 3)
 The pytest-xdist plugin extends pytest with some unique test execution modes:
 .
  * Looponfail:
      Run your tests repeatedly in a subprocess. After each run pytest waits
      until a file in your project changes and then re-runs the previously
      failing tests. This is repeated until all tests pass after which again a
      full run is performed.
  * Load-balancing:
      if you have multiple CPUs or hosts you can use those for a combined test
      run. This allows one to speed up development or to use special resources
      of remote machines.
  * Multi-Platform coverage:
      you can specify different Python interpreters or different platforms and
      run tests in parallel on all of them.
 .
 Before running tests remotely, pytest efficiently synchronizes your program
 source code to the remote place. All test results are reported back and
 displayed to your local test session. You may specify different Python
 versions and interpreters.
 .
 This package contains pytext-xdist for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_TEST_ARGS=-k "not test_internal_errors_propagate_to_controller"
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installdocs:
 	pandoc -f rst -t plain -o .pybuild/README README.rst

=== debian/tests/control ===
Tests:
 python3-pytest-xdist,
Depends:
 python3-all,
 python3-filelock,
 python3-pytest-xdist,

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pytest-xdist/pytest[-|_]xdist-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
